---
title: SVGClipPathElement
slug: Web/API/SVGClipPathElement
tags:
  - API
  - NeedsExample
  - Reference
  - SVG
  - SVG DOM
---
<div>{{APIRef("SVG")}}</div>

<p>The <strong><code>SVGClipPathElement</code></strong> interface provides access to the properties of {{SVGElement("clipPath")}} elements, as well as methods to manipulate them.</p>

<p>{{InheritanceDiagram(600, 140)}}</p>

<h2 id="Properties">Properties</h2>

<p><em>This interface also inherits properties from its parent, {{domxref("SVGElement")}}.</em></p>

<dl>
 <dt>{{domxref("SVGClipPathElement.clipPathUnits")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedEnumeration")}} corresponding to the {{SVGAttr("clipPathUnits")}} attribute of the given {{SVGElement("clipPath")}} element. Takes one of the constants defined in {{domxref("SVGUnitTypes")}}.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>This interface doesn't implement any specific methods, but inherits methods from its parent, {{domxref("SVGElement")}}.</em></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <td>Specification</td>
   <td>Status</td>
   <td>Comment</td>
  </tr>
  <tr>
   <td>{{SpecName("CSS Masks", "#InterfaceSVGClipPathElement", "SVGClipPathElement")}}</td>
   <td>{{Spec2("CSS Masks")}}</td>
   <td>Removed the inheritance from {{domxref("SVGTests")}}, {{domxref("SVGLangSpace")}}, {{domxref("SVGExternalResourcesRequired")}}, {{domxref("SVGStylable")}}, {{domxref("SVGTransformable")}}, and {{domxref("SVGUnitTypes")}}</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "masking.html#InterfaceSVGClipPathElement", "SVGClipPathElement")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGClipPathElement")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{SVGElement("clipPath")}}</li>
</ul>
